// #############################################################
// Module Imports
// #############################################################
const { EmbedBuilder, WebhookClient } = require('discord.js');
const config = require('./config.json');
const dotenv = require('dotenv').config();

// #############################################################
// Variables
// #############################################################
const whInfo = {
    "topgg": {
        id: process.env.TOPGG_WH_ID,
        token: process.env.TOPGG_WH_TOKEN
    },
    "uptimeKuma": {
        id: process.env.UPTIMEKUMA_WH_ID,
        token: process.env.UPTIMEKUMA_WH_TOKEN
    },
    "testing": {
        id: process.env.TESTING_WH_ID,
        token: process.env.TESTING_WH_TOKEN
    }
}

module.exports = {
    testing() {
        // Create a new WebhookClient
        const webhookClient = new WebhookClient({ id: whInfo.testing.id, token: whInfo.testing.token });

        // Create a new EmbedBuilder
        const embed = new EmbedBuilder()
            .setTitle('Webhook Test')
            .setDescription('This is a test of the WebhookClient')
            .setTimestamp();

        // Send the Embed
        webhookClient.send({
            content: 'This is a test of the WebhookClient',
            username: config.discord.testing.username,
            embeds: [embed]
        });
    },
    topgg(body) {
        console.log(body);
        // Create a new WebhookClient
        const webhookClient = new WebhookClient({ id: whInfo.topgg.id, token: whInfo.topgg.token });

        // Create a new EmbedBuilder
        const embed = new EmbedBuilder()
            .setTitle('Top.gg Vote')
            .setDescription(`User ID: ${body.user}`)
            .setTimestamp();

        // Send the Embed
        webhookClient.send({
            content: 'A user has voted for the bot on top.gg',
            username: config.discord.topgg.username,
            embeds: [embed]
        });
    }
}